html,
body {
  min-height: 100%;
}

body:not(.et-fb) #page-container {
  min-height: 100vh;
  min-height: 100dvh;
}

body:not(.et-fb) #page-container > #et-boc {
  display: flex;
  min-height: 100vh;
  min-height: 100dvh;
  flex-direction: column;
}

body:not(.et-fb) #page-container > #et-boc > #et-main-area {
  display: flex;
  flex: 1 0 auto;
  min-height: 0;
  flex-direction: column;
}

body:not(.et-fb) #page-container > #et-boc > #et-main-area > #main-content {
  flex: 1 0 auto;
}

body:not(.et-fb) #page-container > #et-boc > #et-main-area > footer.et-l--footer {
  margin-top: auto;
}
